Skip to main content
GET
/
v1
/
markets
/
tickers
Get Tickers
curl --request GET \
  --url https://api.openxswitch.com/v1/markets/tickers \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "symbol": "BTCUSDT",
      "baseCoin": "BTC",
      "quoteCoin": "USDT",
      "minTradeAmount": "0",
      "maxTradeAmount": "10000000000",
      "pricePrecision": "2",
      "quantityPrecision": "6",
      "quotePrecision": "8",
      "status": "online",
      "minTradeUSDT": "1",
      "buyLimitPriceRatio": "0.05",
      "sellLimitPriceRatio": "0.05",
      "orderQuantity": "200",
      "openTime": "1532454360000"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

symbol
string

The pair symbol code (e.g., BTCUSDT)

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required